use anyhow::{
    Context,
    Result,
};
use clap::{
    Parser,
};
use flake_tracker::{
    scan::{
        scan_flake,
    },
    storage::{
        Storage,
    },
};

#[derive(Parser)]
#[command(version, about, long_about = None)]
struct Cli {
    flake_uri: String,
}

#[tokio::main]
async fn main() -> Result<()> {
    let cli = Cli::parse();

    let storage = Storage::connect("sqlite://flake-tracker.db")
        .await
        .context("Failed to connect to database")?;

    scan_flake(storage, &cli.flake_uri).await?;

    Ok(())
}
