use askama::{
    Template,
};
use crate::{
    storage::{
        FlakeRow,
        InputRow,
        RevisionRow,
    },
};

#[derive(Template)]
#[template(path = "index.html")]
pub struct IndexTemplate {
}

#[derive(Template)]
#[template(path = "flake_list.html")]
pub struct FlakeListTemplate {
    pub flakes: Vec<FlakeRow>,
}

#[derive(Template)]
#[template(path = "flake.html")]
pub struct FlakeTemplate {
    pub uri: String,
    pub revisions: Vec<RevisionRow>,
    pub current_inputs: Vec<InputRow>,
}

#[derive(Template)]
#[template(path = "revision.html")]
pub struct RevisionTemplate {
    pub revision_uri: String,
    pub inputs: Vec<InputRow>,
    pub input_of: Vec<InputRow>,
}
