fn urlencode_char(c: &char) -> String {
    if c.is_ascii_alphanumeric() {
        return c.to_string();
    }

    if vec!['-', '.', '_', '~'].contains(&c) {
        return c.to_string();
    }

    c.to_string().as_bytes().iter().map(|b| format!("%{:02X}", b)).collect::<Vec<String>>().join("")
}
pub fn urlencode(s: &str) -> String {
    s.chars().map(|c| urlencode_char(&c)).collect::<Vec<String>>().join("")
}
